Subject: bug#43388: closed (Re: bug#43388: sxiv gif support is not working)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 06 Apr 2021 21:05:02 +0000

Your bug report

#43388: sxiv gif support is not working

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43388: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43388
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#43388: sxiv gif support is not working
From: "bdju" <[email-masked]>
To: <[email-masked]>
Cc: [email-masked]
Date: Tue, 06 Apr 2021 15:52:55 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

September 14, 2020 1:36 AM, "Timotej Lazar" <Oa> wrote:
> I tried [1] and it works with `sxiv -a` here. What does `file
> picture.gif` say for your file?
Thank you for pointing me in the right direction. I had an mp4 named as
a gif! mpv could play it as-is, so I thought sxiv was to blame. Consider
this issue solved (or rather not a real bug).
Apologies for the delay, I've got my email filters set up wrong and
replies to my issues seem to skip my inbox. I've just searched my
bug-guix folder for my handle and found a lot of stuff now.

Subject: sxiv gif support is not working
From: "bdju" <[email-masked]>
To: <[email-masked]>
Date: Sun, 13 Sep 2020 17:08:21 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

You should be able to run `sxiv -a filename.gif` to view gifs, but I
just get an error:
sxiv: /home/user/picture.gif: Error opening image
sxiv: no more files to display, aborting

It works as expected on my friend's machine running Arch.